<link rel="stylesheet" href="https://pablo.haus/styles.css">

`pytzen` provides a minimal structured approach to data science pipelines, encompassing modularity, automation, and documentation in one package.

![pytzen.github.io](https://pablo.haus/concepts/pytzen-github-io.png)

[pablo.haus](https://pablo.haus): author's landpage

[github.com/pytzen/pytzen/blob/main/docs/doc.ipynb](https://github.com/pytzen/pytzen/blob/main/docs/doc.ipynb): `pytzen` basic usage notebook

## Inspiration
Inspired by Ikigai, Kaizen, Pomodoro Technique, Hara Hachi Bu, Shoshin, Wabi-sabi.

### Minimalistic Principles
**Simplicity**: This is the core of minimalism. Whether it's design, writing, or lifestyle, the focus is on simplicity. It's about removing the unnecessary and focusing on what truly matters.

**Clarity**: Everything in minimalism should be easily understood. In design, this often means using straightforward graphics and concise text.

**Functionality**: Every element should have a purpose. If it doesn't add value or function, it's often removed in a minimalist approach.

**Limitation**: This could mean limiting colors in a design, words in writing, or possessions in a minimalist lifestyle.

**Harmony**: Even though there might be fewer elements, they should work harmoniously together.

**Intentionality**: Every choice made should be deliberate. Minimalism isn't about deprivation, but rather making intentional decisions.

### Python Minimalistic Code
- Objects names and type hints are documentation.
- Docstrings for classes and methods in all-in-one paragraph.
- Reduce classes and methods to its minimal functionality.

## Usage & Limitations Overview

### Disclaimer
This library is offered 'as-is' with **no official support, maintenance, or warranty**. Primarily, `pytzen` is an experimentation, which may not be apt for production settings. Users are encouraged to delve into the library but should note that the developers won't actively address arising issues.

### Usage Caution
`pytzen` is primarily intended for prototyping, such as in Proof-of-Concept (POC) or Minimum Viable Product (MVP) stages. We are not liable for issues arising from the library's usage in production environments. Before considering any wider implementation, users should extensively test and vet the library in a safe, controlled environment.

